<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.selectablebox.SelectableVBox&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="class">Class k.u.s.SelectableVBox(<a href="kiwi.ui.selectablebox.SelectableBox.html">SelectableBox</a>, <span title="gtk.VBox">gtk.VBox</span>):</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a>.<a href="kiwi.ui.selectablebox.html">selectablebox</a></span>
      
      <a href="classIndex.html#kiwi.ui.selectablebox.SelectableVBox">View In Hierarchy</a>
    </p>
    <div>
      
    </div>
    <div class="undocumented">Undocumented</div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id292">
  
  
  
  
  <tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableVBox.html#__init__">__init__</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableVBox.html#do_size_allocate">do_size_allocate</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="method">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableVBox.html#do_expose_event">do_expose_event</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
        <p>
          Inherited from <a href="kiwi.ui.selectablebox.SelectableBox.html">SelectableBox</a>:
        </p>
        <table class="children sortable" id="id293">
  
  
  
  
  <tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableBox.html#get_selected">get_selected</a></td>
    <td><span>Get the currently selected widget.
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableBox.html#set_selected">set_selected</a></td>
    <td><span>Set the widget to be selected, must be a children of self.
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableBox.html#pack_start">pack_start</a></td>
    <td><span>Identical to gtk.Box.pack_start
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableBox.html#pack_end">pack_end</a></td>
    <td><span>Identical to gtk.Box.pack_end
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableBox.html#add">add</a></td>
    <td><span>Identical to gtk.Container.add
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableBox.html#update_selection">update_selection</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableBox.html#do_realize">do_realize</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableBox.html#do_button_press_event">do_button_press_event</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableBox.html#_get_child_at_pos">_get_child_at_pos</a></td>
    <td><span>Get child at position x and y.
</span></td>
  </tr><tr class="basemethod">
    
    
    <td>Method</td>
    <td><a href="kiwi.ui.selectablebox.SelectableBox.html#_child_added">_child_added</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.selectablebox.SelectableVBox.__init__"></a>
        <a name="__init__"></a>
        <div class="functionHeader">
        
        def __init__(self, width=4):
        
      </div>
        <div class="functionBody">
          <div class="interfaceinfo">overrides <a href="kiwi.ui.selectablebox.SelectableBox.html#__init__">kiwi.ui.selectablebox.SelectableBox.__init__</a></div>
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.selectablebox.SelectableVBox.do_size_allocate"></a>
        <a name="do_size_allocate"></a>
        <div class="functionHeader">
        
        def do_size_allocate(self, allocation):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.selectablebox.SelectableVBox.do_expose_event"></a>
        <a name="do_expose_event"></a>
        <div class="functionHeader">
        
        def do_expose_event(self, event):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>